import { EventEmitter } from '@angular/core';
import { Shape } from "../color.interface";
export declare class AtSketchPresetColorsComponent {
    colors: string[] | Shape[];
    onClick: EventEmitter<any>;
    onSwatchHover: EventEmitter<any>;
    swatchStyle: {
        borderRadius: string;
        boxShadow: string;
    };
    handleClick({ hex, $event }: {
        hex: any;
        $event: any;
    }): void;
    normalizeValue(val: string | Shape): Shape | {
        color: string;
    };
    focusStyle(val: string | Shape): {
        boxShadow: string;
    };
}
